Package de.willuhn.jameica.hbci.server

# Class AuslandsUeberweisungImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl
de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl
de.willuhn.jameica.hbci.server.AuslandsUeberweisungImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `AuslandsUeberweisung`, `BaseUeberweisung`, `Duplicatable`, `HibiscusDBObject`, `HibiscusTransfer`, `SepaBooking`, `SepaPayment`, `Terminable`, `Transfer`, `Serializable`, `Remote`

public class AuslandsUeberweisungImpl extends AbstractBaseUeberweisungImpl implements AuslandsUeberweisung
Eine Auslands-Ueberweisung.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`AuslandsUeberweisungImpl()`

## Method Summary

Modifier and Type
Method
Description
`Duplicatable`
`duplicate()`
Dupliziert das Objekt.
`Object`
`getAttribute(String arg0)`
`String`
`getEndtoEndId()`
Liefert die optionale End2End-ID fuer SEPA.
`String`
`getGegenkontoBLZ()`
Liefert die BLZ des Gegenkontos.
`String`
`getPmtInfId()`
Liefert die optionale PmtInf-ID fuer SEPA.
`String`
`getPurposeCode()`
Liefert den optionalen Purpose-Code.
`protected String`
`getTableName()`
`protected void`
`insertCheck()`
`boolean`
`isInstantPayment()`
Prueft, ob es eine Echtzeitueberweisung ist.
`boolean`
`isTerminUeberweisung()`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.
`boolean`
`isUmbuchung()`
Prueft, ob es sich um einen bankinterne Umbuchung handelt.
`void`
`setEndtoEndId(String id)`
Speichert die optionale End2End-ID fuer SEPA.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setInstantPayment(boolean b)`
Legt fest, ob es eine Echtzeitueberweisung ist.
`void`
`setPmtInfId(String id)`
Speichert die optionale PmtInf-ID fuer SEPA.
`void`
`setPurposeCode(String code)`
Speichert den optionalen Purpose-Code.
`void`
`setTerminUeberweisung(boolean termin)`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.
`void`
`setTextSchluessel(String schluessel)`
Speichert den Textschluessel.
`void`
`setUmbuchung(boolean b)`
Legt fest, ob es sich um eine bankinterne Umbuchung handelt.
`void`
`setWeitereVerwendungszwecke(String[] list)`
Speichert eine Liste erweiterter Verwendungszwecke.
`void`
`setZweck2(String zweck2)`
Speichert Zeile 2 des Verwendungszwecks.
`boolean`
`ueberfaellig()`
Prueft, ob die Ueberweisung ueberfaellig ist.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl

`ausgefuehrt, getAusfuehrungsdatum, getPrimaryAttribute, getTermin, getTextSchluessel, insert, markingExecuted, setAusgefuehrt, setTermin, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

`delete, getBetrag, getGegenkontoName, getGegenkontoNummer, getKonto, getWeitereVerwendungszwecke, getZweck, getZweck2, overwrite, setBetrag, setGegenkonto, setGegenkontoName, setGegenkontoNummer, setKonto, setZweck, store`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseUeberweisung

`getTextSchluessel`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoName, setGegenkontoNummer, setKonto, setZweck`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### AuslandsUeberweisungImpl

public AuslandsUeberweisungImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### duplicate

public Duplicatable duplicate() throws RemoteException
Description copied from interface: `Duplicatable`
Dupliziert das Objekt.

Specified by:
  `duplicate` in interface `Duplicatable`
Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`
See Also:
  - `Duplicatable.duplicate()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractBaseUeberweisungImpl`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `getAttribute` in class `AbstractHibiscusTransferImpl`
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.getAttribute(java.lang.String)`

### isTerminUeberweisung

public boolean isTerminUeberweisung() throws RemoteException
Description copied from interface: `AuslandsUeberweisung`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.

Specified by:
  `isTerminUeberweisung` in interface `AuslandsUeberweisung`
Returns:
  true, wenn es eine bankseitige Termin-Ueberweisung ist.
Throws:
  `RemoteException`
See Also:
  - `AuslandsUeberweisung.isTerminUeberweisung()`

### setTerminUeberweisung

public void setTerminUeberweisung(boolean termin) throws RemoteException
Description copied from interface: `AuslandsUeberweisung`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.

Specified by:
  `setTerminUeberweisung` in interface `AuslandsUeberweisung`
Parameters:
  `termin` - true, wenn es eine bankseitige Terminueberweisung sein soll.
Throws:
  `RemoteException`
See Also:
  - `AuslandsUeberweisung.setTerminUeberweisung(boolean)`

### isUmbuchung

public boolean isUmbuchung() throws RemoteException
Description copied from interface: `AuslandsUeberweisung`
Prueft, ob es sich um einen bankinterne Umbuchung handelt.

Specified by:
  `isUmbuchung` in interface `AuslandsUeberweisung`
Returns:
  true, wenn es eine bankinterne Umbuchung ist.
Throws:
  `RemoteException`
See Also:
  - `AuslandsUeberweisung.isUmbuchung()`

### setUmbuchung

public void setUmbuchung(boolean b) throws RemoteException
Description copied from interface: `AuslandsUeberweisung`
Legt fest, ob es sich um eine bankinterne Umbuchung handelt.

Specified by:
  `setUmbuchung` in interface `AuslandsUeberweisung`
Parameters:
  `b` - true, wenn es eine bankinterne Umbuchung sein soll.
Throws:
  `RemoteException`
See Also:
  - `AuslandsUeberweisung.setUmbuchung(boolean)`

### isInstantPayment

public boolean isInstantPayment() throws RemoteException
Description copied from interface: `AuslandsUeberweisung`
Prueft, ob es eine Echtzeitueberweisung ist.

Specified by:
  `isInstantPayment` in interface `AuslandsUeberweisung`
Returns:
  true, wenn es eine Echtzeitueberweisung ist.
Throws:
  `RemoteException`
See Also:
  - `AuslandsUeberweisung.isInstantPayment()`

### setInstantPayment

public void setInstantPayment(boolean b) throws RemoteException
Description copied from interface: `AuslandsUeberweisung`
Legt fest, ob es eine Echtzeitueberweisung ist.

Specified by:
  `setInstantPayment` in interface `AuslandsUeberweisung`
Parameters:
  `b` - true, wenn es eine Echtzeitueberweisung ist.
Throws:
  `RemoteException`
See Also:
  - `AuslandsUeberweisung.setInstantPayment(boolean)`

### ueberfaellig

public boolean ueberfaellig() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob die Ueberweisung ueberfaellig ist.

Specified by:
  `ueberfaellig` in interface `Terminable`
Overrides:
  `ueberfaellig` in class `AbstractBaseUeberweisungImpl`
Returns:
  true, wenn sie ueberfaellig ist.
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungImpl.ueberfaellig()`

### setTextSchluessel

public void setTextSchluessel(String schluessel) throws RemoteException
Description copied from interface: `BaseUeberweisung`
Speichert den Textschluessel.

Specified by:
  `setTextSchluessel` in interface `BaseUeberweisung`
Overrides:
  `setTextSchluessel` in class `AbstractBaseUeberweisungImpl`
Parameters:
  `schluessel` -
Throws:
  `RemoteException`
See Also:
  - `AbstractBaseUeberweisungImpl.setTextSchluessel(java.lang.String)`

### setGegenkontoBLZ

public void setGegenkontoBLZ(String blz) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die BLZ des Gegenkontos.

Specified by:
  `setGegenkontoBLZ` in interface `HibiscusTransfer`
Overrides:
  `setGegenkontoBLZ` in class `AbstractHibiscusTransferImpl`
Parameters:
  `blz` - BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setGegenkontoBLZ(java.lang.String)`

### getGegenkontoBLZ

public String getGegenkontoBLZ() throws RemoteException
Description copied from interface: `Transfer`
Liefert die BLZ des Gegenkontos.

Specified by:
  `getGegenkontoBLZ` in interface `Transfer`
Overrides:
  `getGegenkontoBLZ` in class `AbstractHibiscusTransferImpl`
Returns:
  BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.getGegenkontoBLZ()`

### setWeitereVerwendungszwecke

public void setWeitereVerwendungszwecke(String[] list) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert eine Liste erweiterter Verwendungszwecke.

Specified by:
  `setWeitereVerwendungszwecke` in interface `HibiscusTransfer`
Overrides:
  `setWeitereVerwendungszwecke` in class `AbstractHibiscusTransferImpl`
Parameters:
  `list` - Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setWeitereVerwendungszwecke(java.lang.String[])`

### setZweck2

public void setZweck2(String zweck2) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert Zeile 2 des Verwendungszwecks.

Specified by:
  `setZweck2` in interface `HibiscusTransfer`
Overrides:
  `setZweck2` in class `AbstractHibiscusTransferImpl`
Parameters:
  `zweck2` - Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `AbstractHibiscusTransferImpl.setZweck2(java.lang.String)`

### getEndtoEndId

public String getEndtoEndId() throws RemoteException
Description copied from interface: `SepaBooking`
Liefert die optionale End2End-ID fuer SEPA.

Specified by:
  `getEndtoEndId` in interface `SepaBooking`
Returns:
  die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.getEndtoEndId()`

### setEndtoEndId

public void setEndtoEndId(String id) throws RemoteException
Description copied from interface: `SepaBooking`
Speichert die optionale End2End-ID fuer SEPA.

Specified by:
  `setEndtoEndId` in interface `SepaBooking`
Parameters:
  `id` - die optionale End2End-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.setEndtoEndId(java.lang.String)`

### getPmtInfId

public String getPmtInfId() throws RemoteException
Description copied from interface: `SepaPayment`
Liefert die optionale PmtInf-ID fuer SEPA.

Specified by:
  `getPmtInfId` in interface `SepaPayment`
Returns:
  die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaPayment.getPmtInfId()`

### setPmtInfId

public void setPmtInfId(String id) throws RemoteException
Description copied from interface: `SepaPayment`
Speichert die optionale PmtInf-ID fuer SEPA.

Specified by:
  `setPmtInfId` in interface `SepaPayment`
Parameters:
  `id` - die optionale PmtInf-ID fuer SEPA.
Throws:
  `RemoteException`
See Also:
  - `SepaPayment.setPmtInfId(java.lang.String)`

### getPurposeCode

public String getPurposeCode() throws RemoteException
Description copied from interface: `SepaBooking`
Liefert den optionalen Purpose-Code.

Specified by:
  `getPurposeCode` in interface `SepaBooking`
Returns:
  der optionale Purpose-Code.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.getPurposeCode()`

### setPurposeCode

public void setPurposeCode(String code) throws RemoteException
Description copied from interface: `SepaBooking`
Speichert den optionalen Purpose-Code.

Specified by:
  `setPurposeCode` in interface `SepaBooking`
Parameters:
  `code` - der optionale Purpose-Code.
Throws:
  `RemoteException`
See Also:
  - `SepaBooking.setPurposeCode(java.lang.String)`